OpenapiGenerated
List cloud credentials for a cloud account.
GET
organisationSlug*stringMatch
^[a-z0-9-_]+$cloudAccountIdentity*stringFormat
uuidRequest was successfully processed. The response body contains the requested data.
application/json- response
totalPages?integerFormat
int32totalElements?integerFormat
int64size?integerFormat
int32content?array<>number?integerFormat
int32sort?pageable?numberOfElements?integerFormat
int32first?booleanlast?booleanempty?booleancurl -X GET 'https://api.avisi.cloud/api/v1/orgs/string/cloud-accounts/497f6eca-6276-4993-bfeb-53cbbbba6f08/credentials'{ "totalPages": 0, "totalElements": 0, "size": 0, "content": [ { "identity": "10a80a7a-1a32-4a74-b592-aa2a4ef691c5", "displayName": "string", "cloudType": "string", "cloudAccountIdentity": "763d6cbd-4c53-4613-bba9-cb8f34de18a7", "createdAt": "2019-08-24T14:15:22Z", "metadata": { "property1": "string", "property2": "string" }, "isPrimary": true } ], "number": 0, "sort": { "empty": true, "sorted": true, "unsorted": true }, "pageable": { "offset": 0, "paged": true, "pageNumber": 0, "pageSize": 0, "sort": { "empty": true, "sorted": true, "unsorted": true }, "unpaged": true }, "numberOfElements": 0, "first": true, "last": true, "empty": true}